Skip to main content
POST
/
v2
/
scorers
/
{scorer_id}
/
versions
/
{version_number}
/
health-scores
Write Scorer Version Health Score
curl --request POST \
  --url https://api.galileo.ai/v2/scorers/{scorer_id}/versions/{version_number}/health-scores \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "dataset_id": "<string>",
  "health_score_type": "<string>",
  "score": 123,
  "secondary": {}
}
'
import requests

url = "https://api.galileo.ai/v2/scorers/{scorer_id}/versions/{version_number}/health-scores"

payload = {
"dataset_id": "<string>",
"health_score_type": "<string>",
"score": 123,
"secondary": {}
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_id: '<string>',
health_score_type: '<string>',
score: 123,
secondary: {}
})
};

fetch('https://api.galileo.ai/v2/scorers/{scorer_id}/versions/{version_number}/health-scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "scorer_version_id": "<string>",
  "scorer_version_number": 123,
  "dataset_id": "<string>",
  "health_score_type": "<string>",
  "score": 123,
  "secondary": {},
  "computed_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

scorer_id
string<uuid4>
required
version_number
integer
required

Body

application/json
dataset_id
string<uuid4>
required
health_score_type
string
required
score
number
required
secondary
Secondary · object | null

Response

Successful Response

id
string<uuid4>
required
scorer_version_id
string<uuid4>
required
scorer_version_number
integer
required
dataset_id
string<uuid4>
required
health_score_type
string
required
score
number
required
secondary
Secondary · object | null
required
computed_at
string<date-time>
required